Skip to content

Refresh x.com profile details like name, avatar, etc.

POST
/users/refresh/twitter
curl --request POST \
--url https://api.ethos.network/api/v2/users/refresh/twitter \
--header 'X-Ethos-Api-Key: <X-Ethos-Api-Key>'

Queues a refresh of the signed-in user’s X profile details. Throttled to one refresh per profile every 60 minutes; a throttled call returns ok=false.

Successful response

Media typeapplication/json
object
ok
required
boolean
message
required
string

Example generated

{
"ok": true,
"message": "example"
}

Authorization not provided

Media typeapplication/json
Authorization not provided error (401)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}

Insufficient access

Media typeapplication/json
Insufficient access error (403)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}